\ Includes the necessary files for both versions of the Grace parser generator
\ Version for use with GForth

.( Loading Grace system ... ) cr

\ Files required for all modes of operation

s" library\ansify.fth" included
s" library\xmini_oof.fth" included
s" library\sets.fth" included
s" graycore.fth" included
\ inputsources.fth must be included after graycore.fth as the latter uses >IN
s" library\inputsources.fth" included

[forth-out] [if]
   s" library\files.fth" included
   s" library\list.fth" included
   s" library\sections.fth" included
   s" gracegen.fth" included
   cr .( Grace is generating a Forth code parser )
[else]
   s" graygen.fth" included
   cr .( Grace is compiling the parser ) cr
[then]

[bnf-in] [if]
   cr .( Grace is expecting input in conventional BNF ) cr cr
   [forth-out] 0= [if]
      s" library\files.fth" included
      s" library\sections.fth" included
   [then]
   s" gracestt.fth" included
   s" library\lexscanner2_0.fth" included
   s" gracetokens.fth" included
   s" grace.fth" included
   s" graceparser.fth" included
[else]
   cr .( Grace is expecting input in Gray format )
[then]

.( Grace system loaded. ) .s cr
